function [fname] = fname(filnam,nn)
% [fname] = fname(filnam,nn)
% .e.g.: filnam='Eta', nn=4320 --> fname='Eta.0000004320' ;
%        filnam='Eta', nn=2.03 --> fname='Eta.y00002_s03' ;

sufx0='.0000000000'; lu=length(sufx0);
if nn ~= fix(nn)
  ny=fix(abs(nn)) ; ns = round( (abs(nn)-ny)*100.) ; 
  cc=int2str(ny); ln=length(cc);
  ysufix=['.y',sufx0(3:lu-4-ln),cc];
  cc=int2str(ns); ln=length(cc);
  fname=[filnam,ysufix,'_s',sufx0(lu-1:lu-ln),cc];
else
 if nn < 0 & nn > -1000
  ny=-nn ;
  cc=int2str(ny); ln=length(cc);
  ysufix=['.yr_',sufx0(5:lu-ln),cc];
  fname=[filnam,ysufix];
 else
  cc=int2str(nn); 
  ln=length(cc);
  fname=[filnam,sufx0(1:lu-ln),cc];
 end
end
return
